float rfac;
float adelt;

void pvertex( float r, float theta )
{
  vertex( width/2 + r * cos( theta ), height/2 + r * sin( theta ) );
}

void setup()
{
  size( 500, 500 );
  
  rfac = 0.98;
  adelt = radians( 61 );
}

void draw()
{
  background( 255 );
  
  rfac = map( mouseX, 0, width, 0.6, 1.0 );
  adelt = radians( map( mouseY, 0, height, 120, 40 ) );
  
  float r = width/2;
  float a = 0;
  
  noFill();
  stroke( 0 );
  
  beginShape();
  for( int idx = 0; idx < 500; ++idx ) {
    pvertex( r, a );
    r = r * rfac;
    a = a + adelt;
  }
  endShape();
}